### Method

# Ide DeviceProvider emit_device_removed

#### Declaration

    void
    ide_device_provider_emit_device_removed (
      IdeDeviceProvider* self,
      IdeDevice* device
    )

#### Description

Emits the `IdeDeviceProvider::device-removed` signal.

This should only be called by subclasses of `IdeDeviceProvider` when a previously added device has been removed.

Available since: | 3.32

#### Parameters

`device` | `IdeDevice`
| No description available.
| The data is owned by the caller of the function.